import type { AstroSettings } from '../@types/astro';
import type { LogOptions } from './logger/core';
import * as vite from 'vite';
export declare type ViteConfigWithSSR = vite.InlineConfig & {
    ssr?: vite.SSROptions;
};
interface CreateViteOptions {
    settings: AstroSettings;
    logging: LogOptions;
    mode: 'dev' | 'build' | string;
}
/** Return a common starting point for all Vite actions */
export declare function createVite(commandConfig: ViteConfigWithSSR, { settings, logging, mode }: CreateViteOptions): Promise<ViteConfigWithSSR>;
export {};
